/*
 * Copyright 2005, 2006 University of Leiden.
 *
 * This file is part of MIA+EWS.
 *
 * MIA+EWS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MIA+EWS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MIA; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
#include <stdio.h>
#include <string.h>
#include <errno.h>
#include <math.h>
#include "imaging_fdata.h"

#ifndef INTERPUTIL_H
#define INTERPUTIL_H
#define MAXCOEF 6    /* Maximum number of distortion coefficients */
  /* Macro to set polynomial terms, 
     this needs to be updated if MAXCOEF increased */
#define SETMPT(mpt,x,y) mpt[0] = 1; mpt[1] = x; mpt[2] = y; \
                        mpt[3] = x*x; mpt[4] = x*x*x; mpt[5] = x*y;

void minrtsDedistortFrame (imaging_detector_table_def *detect, int region,
			imaging_fdata_row *rowin, imaging_fdata_row *rowout);
void minrtsSetPoly (imaging_detector_table_def *detect, int iXY, int iReg,
	      int ncoef, float *coef);
void minrtsGetPoly (imaging_detector_table_def *detect, int iXY, int iReg,
	      int *ncoef, float *coef);
#endif /* INTERPUTIL_H */
